//----------------------------------------------------------------------------------------
// initial_data.H: Contains declarations for initial condition functions
//----------------------------------------------------------------------------------------

#ifndef INITIAL_DATA_H
#define INITIAL_DATA_H

#include "general.H"

// Initial condition for time-dependent 3D variables
// Parameters: t - time; coord - space coordinates; result - values of time-dependent unknowns
void initial_condition(real t, const real coord[d_space], real result[d_var]);

// Initial condition for elevation
// Parameters: t - time; coord - space coordinates; result - values of time-dependent unknowns
void initial_elevation(real t, const real coord[d_space_2d], real result[]);

#endif
